
import 'package:origami_endpoint/models/endpointConnection.dart';
import 'package:origamicore/models/packageConfig.dart';
import 'package:origamicore/models/serializedObject.dart';

class EndpointConfig extends PackageConfig with SerializedObject
{
  List<EndpointConnection> connections=<EndpointConnection> [];
  EndpointConfig({this.connections,  });
  @override
  void fromJson(dynamic data)
  { 
    if(data['connections']!=null)connections=data['connections'].map<EndpointConnection>((e) => EndpointConnection()..fromJson(e)).toList();
  }
  @override
  dynamic toJson()
  { 
  	var data ={};
      data['connections']=connections.map((e) => e.toJson()).toList(); 
  	return data;
  }

}