import 'dart:convert';
import 'dart:io';

import 'package:origami_endpoint/models/endpointConnection.dart';


class SocketIndex
{
  EndpointConnection connection = EndpointConnection();
  SocketIndex({this.connection})
  {
    init();
  }
  dynamic handleMsg(msg) {
    print('Message received: $msg');
    
  }
  dynamic init()async
  {
    var server = await HttpServer.bind('127.0.0.1', connection.protocol?.port??0);
    print("Search server is running on  'http://${server.address.address}:/'");
     await for (var req in server) {
      if (req.uri.path == '/ws') { 
        var socket = await WebSocketTransformer.upgrade(req);
        socket.listen(handleMsg);
        socket.add(json.encode({"isDone":true}));
      }
      else
      { 
        var socket = await WebSocketTransformer.upgrade(req);
        socket.listen(handleMsg);
        //socket.add(json.encode({"isDone":true}));
      }
    }
  }
}